zenilib: sh::DetectLoopDiscontinuity Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
sh::DetectLoopDiscontinuity Class Reference

`#include <DetectDiscontinuity.h>`

Inherits TIntermTraverser.

## Public Member Functions

bool | traverse (TIntermNode *node)
Public Member Functions inherited from TIntermTraverser
| TIntermTraverser (bool preVisit=true, bool inVisit=false, bool postVisit=false, bool rightToLeft=false)
virtual | ~TIntermTraverser ()
void | decrementDepth ()
int | getMaxDepth () const
void | incrementDepth ()
| POOL_ALLOCATOR_NEW_DELETE ()
virtual bool | visitBinary (Visit visit, TIntermBinary *)
virtual void | visitConstantUnion (TIntermConstantUnion *)
virtual bool | visitSelection (Visit visit, TIntermSelection *)
virtual void | visitSymbol (TIntermSymbol *)
virtual bool | visitUnary (Visit visit, TIntermUnary *)

## Protected Member Functions

bool | visitAggregate (Visit visit, TIntermAggregate *node)
bool | visitBranch (Visit visit, TIntermBranch *node)
bool | visitLoop (Visit visit, TIntermLoop *loop)

## Protected Attributes

int | mLoopDepth
bool | mLoopDiscontinuity
Protected Attributes inherited from TIntermTraverser
int | depth
int | maxDepth

## Additional Inherited Members

Static Public Member Functions inherited from TIntermTraverser
static TString | hash (const TString &name, ShHashFunction64 hashFunction)
Public Attributes inherited from TIntermTraverser
const bool | inVisit
const bool | postVisit
const bool | preVisit
const bool | rightToLeft

## Detailed Description

Definition at line 19 of file DetectDiscontinuity.h.

## Member Function Documentation

bool sh::DetectLoopDiscontinuity::traverse | ( | TIntermNode * | node | ) |

Definition at line 17 of file DetectDiscontinuity.cpp.

References mLoopDepth, mLoopDiscontinuity, and TIntermNode::traverse().

Referenced by sh::containsLoopDiscontinuity().

bool sh::DetectLoopDiscontinuity::visitAggregate | ( | Visit | visit,
|  | TIntermAggregate * | node
| ) |  |

protectedvirtual

Reimplemented from TIntermTraverser.

Definition at line 66 of file DetectDiscontinuity.cpp.

References mLoopDiscontinuity.

bool sh::DetectLoopDiscontinuity::visitBranch | ( | Visit | visit,
|  | TIntermBranch * | node
| ) |  |

protectedvirtual

Reimplemented from TIntermTraverser.

Definition at line 39 of file DetectDiscontinuity.cpp.

References EOpBreak, EOpContinue, EOpKill, EOpReturn, TIntermBranch::getFlowOp(), mLoopDepth, mLoopDiscontinuity, and UNREACHABLE.

bool sh::DetectLoopDiscontinuity::visitLoop | ( | Visit | visit,
|  | TIntermLoop * | loop
| ) |  |

protectedvirtual

Reimplemented from TIntermTraverser.

Definition at line 25 of file DetectDiscontinuity.cpp.

References mLoopDepth, PostVisit, and PreVisit.

## Member Data Documentation

int sh::DetectLoopDiscontinuity::mLoopDepth

protected

Definition at line 29 of file DetectDiscontinuity.h.

Referenced by traverse(), visitBranch(), and visitLoop().

bool sh::DetectLoopDiscontinuity::mLoopDiscontinuity

protected

Definition at line 30 of file DetectDiscontinuity.h.

Referenced by traverse(), visitAggregate(), and visitBranch().

The documentation for this class was generated from the following files:

- zenilib/jni/external/angle/src/compiler/DetectDiscontinuity.h
- zenilib/jni/external/angle/src/compiler/DetectDiscontinuity.cpp